Upstream information

CVE-2020-10724 at MITRE

Description

A vulnerability was found in DPDK versions 18.11 and above. The vhost-crypto library code is missing validations for user-supplied values, potentially allowing an information leak through an out-of-bounds memory read.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.4 5.1
Vector CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required High High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact None Low
Availability Impact None High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1171477 [RESOLVED / FIXED], 1171926 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • dpdk >= 18.11.3-3.19.2
  • dpdk-devel >= 18.11.3-3.19.2
  • dpdk-kmp-default >= 18.11.3_k4.12.14_150.47-3.19.2
  • dpdk-thunderx >= 18.11.3-3.19.2
  • dpdk-thunderx-devel >= 18.11.3-3.19.2
  • dpdk-thunderx-kmp-default >= 18.11.3_k4.12.14_150.47-3.19.2
  • dpdk-tools >= 18.11.3-3.19.2
  • libdpdk-18_11 >= 18.11.3-3.19.2
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1334
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • dpdk >= 18.11.3-4.6.2
  • dpdk-doc >= 18.11.3-4.6.2
  • dpdk-examples >= 18.11.3-4.6.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1335
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • dpdk >= 18.11.3-4.6.2
  • dpdk-devel >= 18.11.3-4.6.2
  • dpdk-kmp-default >= 18.11.3_k4.12.14_197.40-4.6.2
  • dpdk-tools >= 18.11.3-4.6.2
  • libdpdk-18_11 >= 18.11.3-4.6.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-1335
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • dpdk >= 18.11.3-3.9.2
  • dpdk-kmp-default >= 18.11.3_k4.12.14_122.20-3.9.2
  • dpdk-thunderx >= 18.11.3-3.9.2
  • dpdk-thunderx-kmp-default >= 18.11.3_k4.12.14_122.20-3.9.2
  • dpdk-tools >= 18.11.3-3.9.2
  • libdpdk-18_11 >= 18.11.3-3.9.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1552
SUSE Linux Enterprise Server 15-LTSS
  • dpdk >= 18.11.3-3.19.2
  • dpdk-devel >= 18.11.3-3.19.2
  • dpdk-kmp-default >= 18.11.3_k4.12.14_150.47-3.19.2
  • dpdk-thunderx >= 18.11.3-3.19.2
  • dpdk-thunderx-devel >= 18.11.3-3.19.2
  • dpdk-thunderx-kmp-default >= 18.11.3_k4.12.14_150.47-3.19.2
  • dpdk-tools >= 18.11.3-3.19.2
  • libdpdk-18_11 >= 18.11.3-3.19.2
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1334
SUSE Linux Enterprise Server for SAP Applications 15
  • dpdk >= 18.11.3-3.19.2
  • dpdk-devel >= 18.11.3-3.19.2
  • dpdk-kmp-default >= 18.11.3_k4.12.14_150.47-3.19.2
  • dpdk-tools >= 18.11.3-3.19.2
  • libdpdk-18_11 >= 18.11.3-3.19.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1334
SUSE Linux Enterprise Software Development Kit 12 SP5
  • dpdk >= 18.11.3-3.9.2
  • dpdk-devel >= 18.11.3-3.9.2
  • dpdk-thunderx >= 18.11.3-3.9.2
  • dpdk-thunderx-devel >= 18.11.3-3.9.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1552
openSUSE Leap 15.1
  • dpdk >= 18.11.3-lp151.3.4.1
  • dpdk-debuginfo >= 18.11.3-lp151.3.4.1
  • dpdk-debugsource >= 18.11.3-lp151.3.4.1
  • dpdk-devel >= 18.11.3-lp151.3.4.1
  • dpdk-devel-debuginfo >= 18.11.3-lp151.3.4.1
  • dpdk-doc >= 18.11.3-lp151.3.4.1
  • dpdk-examples >= 18.11.3-lp151.3.4.1
  • dpdk-examples-debuginfo >= 18.11.3-lp151.3.4.1
  • dpdk-kmp-default >= 18.11.3_k4.12.14_lp151.28.48-lp151.3.4.1
  • dpdk-kmp-default-debuginfo >= 18.11.3_k4.12.14_lp151.28.48-lp151.3.4.1
  • dpdk-tools >= 18.11.3-lp151.3.4.1
  • dpdk-tools-debuginfo >= 18.11.3-lp151.3.4.1
  • libdpdk-18_11 >= 18.11.3-lp151.3.4.1
  • libdpdk-18_11-debuginfo >= 18.11.3-lp151.3.4.1
Patchnames:
openSUSE-2020-693


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15-SP1 Module for Server Applications dpdk Released
SUSE Linux Enterprise High Performance Computing 12 SP4 dpdk Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 dpdk Released
SUSE Linux Enterprise High Performance Computing 15 LTSS dpdk Released
SUSE Linux Enterprise Server 12 SP2 BCL dpdk Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS dpdk Not affected
SUSE Linux Enterprise Server 12 SP3 BCL dpdk Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS dpdk Not affected
SUSE Linux Enterprise Server 12 SP4 dpdk Not affected
SUSE Linux Enterprise Server 12 SP5 dpdk Released
SUSE Linux Enterprise Server 15 LTSS dpdk Released
SUSE Linux Enterprise Server ESPOS 15 dpdk Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dpdk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dpdk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dpdk Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dpdk Released
SUSE Linux Enterprise Software Development Kit 12 SP4 dpdk Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 dpdk Released